cURL
curl --request GET \
--url https://us.infisical.com/api/v1/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folders": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"envId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 1,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isReserved": false,
"description": "<string>",
"lastSecretModified": "2023-11-07T05:31:56Z",
"relativePath": "<string>"
}
]
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
List
Get folders
GET
/
api
/
v1
/
folders
cURL
Authorizations
An access token in Infisical
Query Parameters
The ID of the project to list folders from.
The slug of the environment to list folders from.
The timestamp used to filter folders with secrets modified after the specified date. The format for this timestamp is ISO 8601 (e.g. 2025-04-01T09:41:45-04:00)
The path to list folders from.
The directory to list folders from. (Deprecated in favor of path)
Whether or not to fetch all folders from the specified base path, and all of its subdirectories.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I